#573 Blank screen on loaded VST plugins (Ubuntu/Linux)

Current Release
closed-invalid
nobody
vst (2) wine (1)
7
2014-02-09
2014-02-08
sypwex
No

While loading vst synth through VeSTige or VST fx plugin lmms firstly show plugin (1.png) and right after show plugin blank screen (2.png) and it is possible to continue work in lmms. Console output is as follows:

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
#!/bin/bash
RemotePluginClient::shmget: No such file or directory
RemoteVstPlugin.cpp::shmget: No such file or directory
RemoteVstPlugin.cpp: Failed to initialize shared memory for VST synchronization.
 (VST-host synchronization will be disabled)
unique ID: EPD3
RemotePlugin::DebugMessage: inputs: 0  output: 12
RemotePlugin::DebugMessage: creating editor
RemotePlugin::DebugMessage: editor successfully created
RemotePlugin::DebugMessage: failed getting shared memory
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  3 (X_GetWindowAttributes)
  Resource id in failed request:  0x0
  Serial number of failed request:  100
  Current serial number in output stream:  101
remote plugin died! invalidating now.

some info about my system:

Ubuntu 13.10/Linux version 3.11.0-15-generic

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
#!/bin/bash
$ dpkg -l | grep lmms
ii  lmms  0.4.15-0ubuntu1irie1~saucy1  amd64
ii  lmms-common  0.4.15-0ubuntu1irie1~saucy1  all
ii  lmms-vst-full  0.4.15-0ubuntu1irie1~saucy1  i386
$ dpkg -l | grep wine
ii  wine-gecko2.24:amd64  2.24-0ubuntu1~ppa1  amd64
ii  wine-gecko2.24:i386  2.24-0ubuntu1~ppa1  i386
ii  wine-mono4.5.2  4.5.2-0ubuntu1~ppa1  all
ii  wine1.7  1:1.7.11-0ubuntu1~saucy1  amd64
ii  wine1.7-amd64  1:1.7.11-0ubuntu1~saucy1  amd64
ii  wine1.7-i386  1:1.7.11-0ubuntu1~saucy1  i386
ii  wineasio  0.9.0+git20110613-2kxstudio1  amd64
ii  wineasio-amd64  0.9.0+git20110613-2kxstudio3  amd64
ii  wineasio-i386  0.9.0+git20110613-2kxstudio3  i386
ii  winetricks  0.0+20130707-0kxstudio1  amd64
2 Attachments

Related

Bugs: #573

Discussion

  • dagon
    dagon
    2014-02-08

    Hello!

    It looks like it's this bug:
    https://github.com/LMMS/lmms/issues/83

     
    • sypwex
      sypwex
      2014-02-08

      Yeah, Thanks! Looks like problem in wine. This bug is tracked at http://bugs.winehq.org/show_bug.cgi?id=35347
      And the last message said that it is fixed in wine 1.7.12 .
      But, latest distribution is not compiled to package yet https://launchpad.net/~ubuntu-wine/+archive/ppa
      So i'll wait some time.

       
      • eagles051387
        eagles051387
        2014-02-08

        You can get the latest version of wine from their ppa be it dev or stable.

        If the version mentioned works we should bump the version we use. @toby
        what do you think?
        On 8 Feb 2014 03:15, "sypwex" sypwex@users.sf.net wrote:

        Yeah, Thanks! Looks like problem in wine. This bug is tracked at
        http://bugs.winehq.org/show_bug.cgi?id=35347
        And the last message said that it is fixed in wine 1.7.12 .
        But, latest distribution is not compiled to package yet
        https://launchpad.net/~ubuntu-wine/+archive/ppa
        So i'll wait some time.


        Status: open
        Labels: vst wine
        Created: Sat Feb 08, 2014 12:50 AM UTC by sypwex
        Last Updated: Sat Feb 08, 2014 01:34 AM UTC
        Owner: nobody

        While loading vst synth through VeSTige or VST fx plugin lmms firstly show
        plugin (1.png) and right after show plugin blank screen (2.png) and it is
        possible to continue work in lmms. Console output is as follows:

        1
        2
        3
        4
        5
        6
        7
        8
        9
        10
        11
        12
        13
        14
        15
        16

        !/bin/bash

        RemotePluginClient::shmget: No such file or directory
        RemoteVstPlugin.cpp::shmget: No such file or directory
        RemoteVstPlugin.cpp: Failed to initialize shared memory for VST synchronization.
        (VST-host synchronization will be disabled)
        unique ID: EPD3
        RemotePlugin::DebugMessage: inputs: 0 output: 12
        RemotePlugin::DebugMessage: creating editor
        RemotePlugin::DebugMessage: editor successfully created
        RemotePlugin::DebugMessage: failed getting shared memory
        X Error of failed request: BadWindow (invalid Window parameter)
        Major opcode of failed request: 3 (X_GetWindowAttributes)
        Resource id in failed request: 0x0
        Serial number of failed request: 100
        Current serial number in output stream: 101
        remote plugin died! invalidating now.

        some info about my system:

        Ubuntu 13.10/Linux version 3.11.0-15-generic

        1
        2
        3
        4
        5
        6
        7
        8
        9
        10
        11
        12
        13
        14
        15
        16

        !/bin/bash$ dpkg -l | grep lmms

        ii lmms 0.4.15-0ubuntu1irie1~saucy1 amd64
        ii lmms-common 0.4.15-0ubuntu1irie1~saucy1 all
        ii lmms-vst-full 0.4.15-0ubuntu1irie1~saucy1 i386$ dpkg -l | grep wine
        ii wine-gecko2.24:amd64 2.24-0ubuntu1~ppa1 amd64
        ii wine-gecko2.24:i386 2.24-0ubuntu1~ppa1 i386
        ii wine-mono4.5.2 4.5.2-0ubuntu1~ppa1 all
        ii wine1.7 1:1.7.11-0ubuntu1~saucy1 amd64
        ii wine1.7-amd64 1:1.7.11-0ubuntu1~saucy1 amd64
        ii wine1.7-i386 1:1.7.11-0ubuntu1~saucy1 i386
        ii wineasio 0.9.0+git20110613-2kxstudio1 amd64
        ii wineasio-amd64 0.9.0+git20110613-2kxstudio3 amd64
        ii wineasio-i386 0.9.0+git20110613-2kxstudio3 i386
        ii winetricks 0.0+20130707-0kxstudio1 amd64


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/lmms/bugs/573/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/

         

        Related

        Bugs: #573

        Attachments
  • sypwex
    sypwex
    2014-02-08

    There is still no wine 1.7.12 package in ppa (https://launchpad.net/~ubuntu-wine/+archive/ppa) so i compiled it from git sources. Problem solved. Thank you!

     
  • eagles051387
    eagles051387
    2014-02-09

    I have closed this issue as it is an issue with upstream wine and not lmms. Also please note we are no longer using this tracker but the one we now have at sourceforge.

    Thanks

     
  • eagles051387
    eagles051387
    2014-02-09

    • status: open --> closed-invalid